Bug 349844 - Specification for clojure highlighting is incorrect
Summary: Specification for clojure highlighting is incorrect
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: part (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-03 00:58 UTC by J D Eisenberg
Modified: 2015-07-11 14:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J D Eisenberg 2015-07-03 00:58:08 UTC
Settings -> Open/Save -> Modes & Filetypes
Filetype Sources/Clojure reads *.clj, *cljs
Should be *.clj;*.cljs to be consistent with  other entries. Once that change is made, Clojure and ClojureScript files highlight properly.

Reproducible: Always

Steps to Reproduce:
1. Open a non-empty clojure file with extension ending .clj

Actual Results:  
No highlighting is shown.

Expected Results:  
Syntax highlighting should occur.

Fix: change extensions from *.clj, *cljs to *.clj;*.cljs
Comment 1 Christoph Cullmann 2015-07-11 14:07:22 UTC
Git commit 263d0de7cf15e0035005bbbccf89479819932e55 by Christoph Cullmann.
Committed on 11/07/2015 at 14:07.
Pushed by cullmann into branch 'master'.

add *.cljs

M  +2    -2    src/syntax/data/clojure.xml

http://commits.kde.org/ktexteditor/263d0de7cf15e0035005bbbccf89479819932e55